=== debian/control ===
Source: amazon-ecr-credential-helper
Section: misc
Priority: optional
Maintainer: Samuel Karp <skarp@amazon.com>
Build-Depends:
 debhelper (>= 8.0.0),
 dh-golang (>= 1.1),
 golang-go (>= 1.7),
 git,
 golang-github-aws-aws-sdk-go-dev,
 golang-github-docker-docker-credential-helpers-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-golang-mock-dev,
 golang-github-pkg-errors-dev
Standards-Version: 4.3.0
Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper
Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper
XS-Go-Import-Path: github.com/awslabs/amazon-ecr-credential-helper

Package: amazon-ecr-credential-helper
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ca-certificates
Built-Using: ${misc:Built-Using}
Recommends: docker.io | docker-ce
Enhances: docker.io, docker-ce
Description: Amazon ECR Credential Helper for Docker
 A Docker credential helper to automatically manage credentials for Amazon ECR.
 .
 Once configured, the Amazon ECR Credential Helper lets you "docker pull" and
 "docker push" container images from Amazon ECR without running "docker login".
 .
 Amazon ECR is a container registry and requires authentication for pushing and
 pulling images.  You can use the AWS CLI or the AWS SDK to obtain a
 time-limited authentication token.  This credential helper automatically
 manages obtaining and refreshing authentication tokens when using the Docker
 CLI.
 .
 For more information about Amazon ECR and how to use it, see the documentation
 at https://docs.aws.amazon.com/AmazonECR/latest/userguide/.
