## amazon-ecr-credential-helper 0.3.1

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 LOCAL_BINARY=bin/local/$(BINARY_NAME)
 
 LINUX_AMD64_BINARY=bin/linux-amd64/$(BINARY_NAME)
+LINUX_ARM64_BINARY=bin/linux-arm64/$(BINARY_NAME)
 DARWIN_AMD64_BINARY=bin/darwin-amd64/$(BINARY_NAME)
 WINDOWS_AMD64_BINARY=bin/windows-amd64/$(BINARY_NAME).exe
 
@@ -47,12 +48,17 @@
 	. ./scripts/shared_env && go test -v -timeout 30s -short -cover $(shell go list ./ecr-login/... | grep -v /vendor/)
 
 .PHONY: all-variants
-all-variants: linux-amd64 darwin-amd64 windows-amd64
+all-variants: linux-amd64 linux-arm64 darwin-amd64 windows-amd64
 
 .PHONY: linux-amd64
 linux-amd64: $(LINUX_AMD64_BINARY)
 $(LINUX_AMD64_BINARY): $(SOURCES) GITCOMMIT_SHA
 	./scripts/build_variant.sh linux amd64 $(VERSION) $(shell cat GITCOMMIT_SHA)
+
+.PHONY: linux-arm64
+linux-arm64: $(LINUX_ARM64_BINARY)
+$(LINUX_ARM64_BINARY): $(SOURCES) GITCOMMIT_SHA
+	./scripts/build_variant.sh linux arm64 $(VERSION) $(shell cat GITCOMMIT_SHA)
 
 .PHONY: darwin-amd64
 darwin-amd64: $(DARWIN_AMD64_BINARY)
