=== debian/changelog ===
amazon-ecr-credential-helper (0.3.1-1) unstable; urgency=low

  [ Noah Meyerhans ]
  * Ensure that DEB_HOST_GNU_TYPE is initialized in debian/rules
    (Closes: #930104)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Samuel Karp ]
  * Set upstream metadata fields: Security-Contact.
  * New upstream release.

 -- Samuel Karp <skarp@amazon.com>  Tue, 31 Dec 2019 15:55:36 -0800
