=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Samuel Karp <skarp@amazon.com>
 Build-Depends:
- debhelper (>= 8.0.0),
+ debhelper-compat (= 12),
  dh-golang (>= 1.1),
  golang-go (>= 1.7),
  git,
- golang-github-aws-aws-sdk-go-dev,
+ golang-github-aws-aws-sdk-go-dev (>= 1.16.26),
  golang-github-docker-docker-credential-helpers-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sirupsen-logrus-dev,
  golang-github-golang-mock-dev,
  golang-github-pkg-errors-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
 Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper
 Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper
