=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
+include /usr/share/dpkg/architecture.mk
 override_dh_auto_build:
 	dh_auto_build -- -ldflags "-X $(package_root)/version.Version=$(VERSION) -X $(package_root)/version.GitCommitSHA=$(GITCOMMIT_SHA)"
 	mkdir -p bin/local
