=== debian/changelog ===
amazon-ecr-credential-helper (0.5.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 17:59:43 +0000

amazon-ecr-credential-helper (0.5.0-1build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:47:10 -0600

amazon-ecr-credential-helper (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update minimum Go dependency to 1.12.

 -- Samuel Karp <skarp@amazon.com>  Mon, 15 Feb 2021 17:21:51 -0800

amazon-ecr-credential-helper (0.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using github.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.5.0, no changes needed.

  [ Noah Meyerhans ]
  * Install README.md to /usr/share/doc (Closes: #962304)

  [ Tianon Gravi ]
  * Update "Vcs-*" tags to point to debian branch
  * Update debian/watch to match the novendor tarballs
  * Add "golang-github-stretchr-testify-dev" to B-D (Closes: #973063)

 -- Samuel Karp <skarp@amazon.com>  Wed, 04 Nov 2020 21:14:46 -0800
