=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: amazon-ecr-credential-helper
 Section: misc
 Priority: optional
-Maintainer: Samuel Karp <skarp@amazon.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Karp <skarp@amazon.com>
 Build-Depends:
  debhelper-compat (= 12),
  dh-golang (>= 1.1),
- golang-go (>= 1.7),
+ golang-go (>= 1.12),
  git,
- golang-github-aws-aws-sdk-go-dev (>= 1.16.26),
+ golang-github-aws-aws-sdk-go-dev (>= 1.36.0),
  golang-github-docker-docker-credential-helpers-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sirupsen-logrus-dev,
- golang-github-golang-mock-dev,
+ golang-github-stretchr-testify-dev,
  golang-github-pkg-errors-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
-Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper
-Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper
+Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper/tree/debian
+Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper.git -b debian
 XS-Go-Import-Path: github.com/awslabs/amazon-ecr-credential-helper
 
 Package: amazon-ecr-credential-helper
