=== debian/changelog ===
amazon-ecr-credential-helper (0.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-golang and golang-go.

  [ Noah Meyerhans ]
  * New upstream release
  * Add golang-github-aws-aws-sdk-go-v2-dev to build-deps
  * Replace Sam Karp with myself as Maintainer

 -- Noah Meyerhans <noahm@debian.org>  Tue, 31 Jan 2023 11:17:40 -0800
