=== debian/changelog ===
amazon-ecr-credential-helper (0.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:04:45 -0500

amazon-ecr-credential-helper (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Move debianization to Salsa.
  * Add golang-github-awslabs-amazon-ecr-credential-helper-dev.
  * Run wrap-and-sort -satbk.
  * Adopt package to Debian Go team.
  * Rules-Requires-Root: no.
  * Testsuite: autopkgtest-pkg-go.
  * Standards-Version: 4.7.0.
  * Use compat 13.
  * Fix binary install path.
  * Improve d/copyright, mention debian/* authors.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 26 Oct 2024 18:43:57 +0200

amazon-ecr-credential-helper (0.7.1-1) unstable; urgency=medium

  * New upstream release 0.7.1

 -- Noah Meyerhans <noahm@debian.org>  Sat, 11 Nov 2023 15:44:07 -0800
