=== debian/control ===
Source: amazon-ecr-credential-helper
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Noah Meyerhans <noahm@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 git,
 golang-github-aws-aws-sdk-go-v2-dev,
 golang-github-docker-docker-credential-helpers-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-pkg-errors-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-stretchr-testify-dev,
 golang-go,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/amazon-ecr-credential-helper
Vcs-Git: https://salsa.debian.org/go-team/packages/amazon-ecr-credential-helper.git
Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
XS-Go-Import-Path: github.com/awslabs/amazon-ecr-credential-helper

Package: amazon-ecr-credential-helper
Section: misc
Architecture: any
Depends:
 ca-certificates,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Recommends:
 docker.io | docker-ce,
Enhances:
 docker-ce,
 docker.io,
Description: Amazon ECR Credential Helper for Docker
 A Docker credential helper to automatically manage credentials for Amazon ECR.
 .
 Once configured, the Amazon ECR Credential Helper lets you "docker pull" and
 "docker push" container images from Amazon ECR without running "docker login".
 .
 Amazon ECR is a container registry and requires authentication for pushing and
 pulling images.  You can use the AWS CLI or the AWS SDK to obtain a
 time-limited authentication token.  This credential helper automatically
 manages obtaining and refreshing authentication tokens when using the Docker
 CLI.
 .
 For more information about Amazon ECR and how to use it, see the documentation
 at https://docs.aws.amazon.com/AmazonECR/latest/userguide/.

Package: golang-github-awslabs-amazon-ecr-credential-helper-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Amazon ECR Credential Helper for Docker (library)
 A Docker credential helper to automatically manage credentials for Amazon ECR.
 .
 This package contains the development Go library.
