=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,6 @@
 include /usr/share/dpkg/architecture.mk
 override_dh_auto_build:
 	dh_auto_build -- -ldflags "-X $(package_root)/version.Version=$(VERSION) -X $(package_root)/version.GitCommitSHA=$(GITCOMMIT_SHA)"
-	mkdir -p bin/local
-	cp obj-$(DEB_HOST_GNU_TYPE)/bin/docker-credential-ecr-login bin/local
-
-override_dh_auto_install:
-	dh_auto_install -- --no-source
 
 override_dh_clean:
 	dh_testdir -O--buildsystem=golang
@@ -30,4 +25,5 @@
 	rm -rf ./debian/amazon-ecr-credential-helper
 	rm -rf ./debian/.debhelper
 	rm -rf ./debian/files
+	rm -rf ./bin
 	rm -f ./amazon-ecr-credential-helper_*
