=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S*)\/release-novendor\.tar\.gz/amazon-ecr-credential-helper_$1.orig.tar.gz/ \
  https://github.com/awslabs/amazon-ecr-credential-helper/releases \
  .*\/(\d\S+)/release-novendor\.tar\.gz
